Get Bounty
curl --request GET \
--url https://api.example.com/api/bounties/{id}import requests
url = "https://api.example.com/api/bounties/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/bounties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Bounties
Get Bounty
Get bounty details including submissions.
GET
/
api
/
bounties
/
{id}
Get Bounty
Public endpoint — no authentication required.
string
required
Bounty ID.
Example
curl https://api.shipyardprotocol.com/api/bounties/bnt_x1y2z3
Response
200
{
"bounty": {
"id": "bnt_x1y2z3",
"project_id": "proj_m1n2o3",
"title": "Add CSV export endpoint",
"description": "Add a GET /export endpoint...",
"reward_amount": 500,
"difficulty": "easy",
"status": "in_review",
"created_at": "2026-03-29T15:00:00.000Z",
"submissions": [
{
"id": "sub_p1q2r3",
"pr_url": "https://github.com/shipyards/my-project/pull/1",
"status": "pending",
"created_at": "2026-03-29T16:00:00.000Z"
}
]
}
}
⌘I

